Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.security.handler
Class WSSRequestHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.ws.axis.security.WSDoAllReceiver
              org.jboss.net.axis.security.handler.WSSRequestHandler

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

public class WSSRequestHandler
extends org.apache.ws.axis.security.WSDoAllReceiver

Title:
  Web Service Security Request Handler

Description:
  This handler processes the security header of incoming SOAP messages.

Version:
  $Revision: 1.4.8.1 $
Author:
  Jason Essington
See Also:
  Serialized Form

Field Summary
`protected org.apache.log4j.Logger` | `log`

Fields inherited from class org.apache.ws.axis.security.WSDoAllReceiver
`timeToLive`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`WSSRequestHandler()`

Method Summary
`protected void` | `authenticate(org.apache.axis.MessageContext mc, String actor)` Hook to authenticate any principals found via JBossSX.
`boolean` | `canHandleBlock(javax.xml.namespace.QName arg0)`
`List` | `getUnderstoodHeaders()`
`void` | `invoke(org.apache.axis.MessageContext mc)`
`protected org.apache.ws.security.components.crypto.Crypto` | `loadDecryptionCrypto()`
`protected org.apache.ws.security.components.crypto.Crypto` | `loadSignatureCrypto()`

Methods inherited from class org.apache.ws.axis.security.WSDoAllReceiver
`verifyTimestamp`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.log4j.Logger log

Constructor Detail

### WSSRequestHandler

    public WSSRequestHandler()

Method Detail

### canHandleBlock

    public boolean canHandleBlock(javax.xml.namespace.QName arg0)

### getUnderstoodHeaders

    public List getUnderstoodHeaders()

### invoke

    public void invoke(org.apache.axis.MessageContext mc)
                throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### authenticate

    protected void authenticate(org.apache.axis.MessageContext mc,
                                String actor)
                         throws org.apache.axis.AxisFault

  Hook to authenticate any principals found via JBossSX. Currently we just use the key alias as the user, and the certificate as the password. I am sure this scheme has some flaws, so I would love to have some input on a better method.

  Parameters:
    `mc` -
  Throws:
    `org.apache.axis.AxisFault`

### loadSignatureCrypto

    protected org.apache.ws.security.components.crypto.Crypto loadSignatureCrypto()
                                                                           throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### loadDecryptionCrypto

    protected org.apache.ws.security.components.crypto.Crypto loadDecryptionCrypto()
                                                                            throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.